 @import url('https://fonts.googleapis.com/css2?family=Lora:ital@0;1&family=Poppins:ital,wght@0,700;1,700&display=swap');

/*-- font-family: 'Poppins', sans-serif;
font-family: 'Lora', serif;


/*----- global attributes -----*/
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/*------ beginning of global styling -----*/
body {
  background: #f0f2f5;
  font-family: 'Lora', serif;
}
h1 {
  font-family: 'Poppins', sans-serif;
}
h2, h3 {
  font-family: 'Poppins', sans-serif;
  font-size: clamp(1.25rem, 2vw, 1.9rem);
  width: auto;
  margin-top: 20px;
}
p {
  font-family: 'Lora', serif;
  font-size: clamp(1rem, 2vw, 1.25rem);
  line-height: 1.5;
  margin: 10px;
}
.btn {
  border-radius: 5px;
  height: 40px;
  border: 2px solid #034694; 
  margin: 10px 20px;
  width: auto;
  color: #000;
  text-align: center;
  text-decoration: none;
  font-size: 1.9rem;
  font-weight: bold;
  font-family: 'Lora', serif;
  transition: transform 0.3s ease-out;
}

.btn:hover {
  color: #000;
  background: transparent;
  transform: translateY(3px);
}
.btn-flex{
  display: flex;
  justify-content: center;
  align-items: center;
  place-self: center;
}

.btn-show-all {
  width: auto;
  padding: 10px;
  color: #000;
  font-size: 1rem;
}
.back-btn{
  border: 2px solid #034694;
  border-radius: 5px;
  height: 40px;
  width: 200px;
  place-items: center;
  padding: 10px;
  color: #000;
  font-size: 1rem;
  display: flex;
  justify-content: center;
  align-items: center;
  place-self: center;
}
.contact-links {
  display: flex;
  width: 100%;
  color: #000;
}
.contact-details1 {
  color: #000;
}

@media screen and (max-width: 768px) {
  .btn {
    margin: 15px;
}
.contact-links {
  align-items: center;
  justify-content: center;
}
}

/*----- navigation menu styling -----*/
#navbar {
  display: flex;
  align-items: center;
  justify-content: space-between;
  height: 50px;
  width: 100%;
  background: #fff;
  position: fixed;
  top: 0;
  z-index: 1;
  box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.2);
}
.logo {
  width: 100%;
  text-align: center;
  margin-left: 40px;
  height: 100%;
  display: flex;
  align-items: center; 
}
.logo a {
  font-family: 'Poppins', sans-serif;
  font-size: clamp(1.25rem, 2.5vw, 1.6rem);
  color: #034694;
  transition: transform 0.3s ease-out;
  text-decoration: none;
}
.logo a:hover {
  color: #1381ff;
  transform: translateY(2px);
}
.nav-links {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: flex-end;
}
.nav-links a {
  margin: 10px;
  margin-right: 40px;
  font-family: 'Poppins', sans-serif;
  font-size: clamp(0.7rem, 1.5vw, 0.8rem);
  text-decoration: none;
  transition: transform 0.3s ease-out;
}
.nav-links a:hover {
  color: #034694;
  transform: translateY(2px);
}
.aboutTab, .projectTab, .blogTab {
  color: #000;
}
.contactTab {
  background: #034694;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  width: 100px;
  height: 25px;
  border-radius: 50px;
  color: #fff;
}
.contactTab:hover {
  background: #1381ff;
}



@media screen and (max-width: 768px) {
  #navbar {
    flex-direction: column;
    justify-content: center;
    height: 70px;
    width: 100%;
  }
  .logo {
    margin: auto;
    width: auto;
    height: 50%;
  }
  .nav-links {
    border-top: 1px solid #000;
    height: 50%;
    width: auto;
  }
  .nav-links a {
    margin-right: 10px;
  }
  .contactTab {
    height: 25px;
    width: 70px;
  }
 
}


/*----- welcome section styling -----*/
.welcome-section {
  width: auto;
  height: 80vh;
  display: flex;
  align-items: center;
  justify-content: center;
  max-width: 1500px;
  margin: 50px auto 30px auto;
}
.text-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  height: 30rem;
  width: 60vw;
  padding: 10px 50px;
} 

.text-container > h1 {
  width: 100%;
  font-size: clamp(2.5rem, 5vw, 4rem);
  color: #034694;
  text-align: left;
}
 
.text-container > p {
  color: #000;
  font-size: clamp(1.2rem, 0.5vw, 2rem);
  width: 100%;
}

.about-link {
  width: 100%;
  margin: 10px;
  color: #034694;
  font-family: 'Lora', serif;
  font-size: clamp(1.3rem, 2vw, 1.6rem);
  font-weight: bold;
}

.img-container {
  height: 25rem;
  width: auto;
  border: 5px solid rgb(218, 208, 208);
  border-radius: 50%;
  overflow: hidden;
}
.myImg {
  height: 100%;
  width: 100%;
}


@media screen and (max-width: 768px) {
  .welcome-section {
    flex-direction: column;
    margin-top: 80px;
    height: auto;
  }
  .text-container {
    width: 100%; 
    height: auto;
    text-align: center;
  }
  
  .text-container > h1 {
    margin-bottom: 10px;
    text-align: center;
  }
  
  .about-link {
    margin-bottom: 20px;
  }
  .img-container {
    width: 70%;
    height: 15rem;
  }
}  



/*----- projects section styling -----*/
.projects-section {
  text-align: center;
  padding: 30px 30px;
  height: auto;
  margin: auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  max-width: 1200px;
}
.projects-section-heading {
  margin-block-end: 30px;
}

.projects-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(230px, 1fr));
  grid-gap: 30px;
  height: auto;
  width: 100%;
  margin: 0 auto;
  margin-bottom: 40px;
}
.project {
  background: #000;
  box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.5);
  border-radius: 2px;
  border-bottom: 3px solid #034694;
  height: 300px;
  color: #fff;
  font-family: 'Lora', serif;
  transition: transform 0.3s ease-in-out;
  text-decoration: none;
} 

.code {
  color: #fff;
  transition: color 0.2s ease-out;
}

.project:hover .code {
  color: #034694
  ;
}
.project:hover {
  color: #fff;
  transform: translateY(3px);
}

.project a:hover {
  color: #fff;
  transform: translateY(5px);
}
.project-image {
  height: 80%;
  width: 100%;
  object-fit: cover;
  border-bottom: 3px solid #fff;
}

.project-title {
  padding: 8px 5px;
  text-align: center;
  font-family: 'Poppins', san-serif;
  font-size: 15px;
}

@media screen and (max-width: 768px) {
  .project {
    height: 350px;
  }
  .project-title {
    padding: 12px 5px;
  }
}




/*------- footer section styling --------*/

footer {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  padding: 10px;
  height: 70px;
  width: 100%;
  background: #034694;
}

.copyright-info > p {
  color: #fff;
  font-family: 'Poppins', sans-serif;
  font-size: 14px;
}

@media screen and (max-width: 768px) {
  .copyright-info > p {
    font-size: 10px;
  }
}

/*------ ending of global styling -----*/

/*------ about-section styling ------*/
.about-section {
  margin: 80px auto 20px auto;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  width: 100%;
  height: auto;
  background: #fff;
  max-width: 1500px;
}
.img-container2 {
  display: flex;
  justify-content: center;
  height: 40vh;
  max-height: 400px;
  width: 100%;
  margin: 0 auto;
  margin-bottom: 5px;
}
.myImg2 {
  display: block;
  height: auto;
  width: 33.3%;
}
.font-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: 15px 5% 50px 5%;
  margin-top: 15px;
  margin-bottom: 50px;
}

.font-container p {
  width: 80%;
  text-align: justify;
}
.skills-container {
  display: flex;
  align-items: center;
  width: 85%;
  height: auto;
  margin: 20px auto 40px auto;
}
.skills-container > p {
  font-family: 'Poppins', sans-serif;
  font-size: 20px;
  display: block;
  margin-right: 10px;
}
.skill-container {
  width: 100%; 
  background-color: #808080;
  margin-right: 20px;
}

.skill {
  text-align: center; 
  padding-top: 10px; 
  padding-bottom: 10px; 
  color: #fff; 
  font-family: 'Poppins',sans-serif;
}

.html {
  width: 90%; background-color: #034694;
} 
.css {
  width: 85%; background-color: #034694;
}
.js {
  width: 40%; background-color: #034694;
}



@media screen and (max-width: 768px) {
  .img-container2 {
    height: 40vh;
   }
   .font-container {
     width: auto;
   }
    
  .font-container p {
    width: 90%;
  }
  .skills-heading {
    font-size: 20px;
  }
  .skills-container {
    flex-direction: column;
  }
  .skill-container {
    margin-bottom: 15px;
  }
}

/*-------- ending of about-page styling -----------*/

/*----- beginning of projects page styling -----*/
.projects-page {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 20px;
  margin: 80px auto 20px auto;
  max-width: 1700px;
}



/*----- ending of projects page styling -----*/

/*-------- beginning contact page styling ----------*/
.contact-page-section {
  margin: 100px auto 20px auto;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  height: auto;
  max-width: 1500px;
}
.contact-page-section > h2 {
  font-family: 'Poppins', sans-serif;
  width: 25%;
  border-bottom: 3px solid #034694;
  margin-bottom: 30px;
}
.contact-info-container {
  width: 90%;
  height: auto;
  margin-bottom: 50px;
  display: grid;grid-template-columns: repeat(auto-fit, minmax(230px, 1fr));
  border-radius: 2px;
  grid-gap: 20px;
}
.container {
  display: flex;
  align-items: center;  flex-direction: column;
  box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.5);
  border-radius: 2px;
  border-bottom: 3px solid #034694;
  padding: 30px 20px 10px 20px;
  height: 200px;
  width: 100%;
  font-family: 'Lora', serif;
}
.container > i {
  margin-bottom: 50px;
  font-size: 30px;
  color: #034694;
}
.container > p {
  font-size: 18px;
}
#contact-form {
  display: flex;
  flex-direction: column;
}
#contact-form > input {
  margin-bottom: 20px;
  width: 50vw;
  height: 40px;
  border: 1px solid #034694;
  max-width: 1200px;
}
#contact-form > textarea {
  width: ;
  height: 20vh;
  margin-bottom: 30px;
  border: 1px solid #034694;
}
::placeholder {
  padding-left: 30px;
  font-size: 16px;
  font-family: 'Lora', serif;
}
.send-btn {
  width: 130px;
  height: 35px;
  font-size: 14px;
  font-family: 'Poppins', sans-serif;
  place-self: center;
  background: #034694;
  color: #fff;
  border: none; 
  transition: transform 0.2s ease-out;
}
.send-btn:hover {
  cursor: pointer;
  background: transparent;
  color: #034694;
  transform: translateY(3px);
}

@media screen and (max-width: 768px) {
  .contact-page-section > h2 {
    font-size: 20px;
  }
}

/*----- ending of contact page styling -----*/


/*-------- beginning of individual project page styling ----------*/
#individual-page-section {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  width: 100%;
  height: auto; 
  margin: 80px auto 20px auto;
  max-width: 1500px;
}
.individual-font-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: ;
  margin: auto 30px;
}
.individual-font-container > h1 {
  font-size: clamp(2rem, 3vw, 2.5rem);
  width: ;
  background: ;
  margin-bottom: 20px;
  text-align: center;
}
.individual-font-container > h2 {
}

.individual-font-container > p {
  margin: 10px auto;
  font-size: 20px;
  font-weight: ;
  text-align: left;
  width: 100%;
  color: #000;
}
.individual-font-container > ul {
  margin: 10px;
}
.individual-font-container > ul > li {
  font-family: 'Lora', serif;
}


.links {
  color: #034694;
  font-size: clamp(1rem, 2vw, 1.25rem);
  font-weight: bold;
}
.screenshots-container {
  text-align: center;
  padding: 30px 30px;
  height: auto;
  width: 100%;
  margin: auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  max-width: 1200px;
}
.image-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(230px, 1fr));
  grid-gap: 20px;
  height: auto;
  width: 100%;
  margin: 0 10px 20px 10px;
  margin-bottom: 20px;
  
}
.grid-column {
  display: block;
  height: 300px;
  width: 100%;
  box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.5);
  border-radius: 2px;
  object-fit: cover;
  border: 2px solid #034694;
}


@media screen and (max-width: 768px) {
  #individual-page-section {
    margin-top: 100px;
  }
  
   .individual-font-container {
     width: auto;
   }
  .individual-font-container h1 {
    font-size: 20px;
  }
  .individual-font-container > h2 {
    font-size: 16px;
  }
  .individual-font-container p {
    font-size: 16px;
    width: 100%;
  }
}

/*-------- ending of individual project page styling -----------*/


/*----- beginning of blog page styling -----*/
.blog-posts-section {
  text-align: center;
  padding: 30px 30px;
  height: auto;
  margin: auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  max-width: 1200px;
  margin-top: 80px;
}

.blog-posts-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(230px, 1fr));
  grid-gap: 30px;
  height: auto;
  width: auto;
  margin: 0 auto;
  margin-bottom: 40px;
}
.blog-post{
  background: ;
}

@media screen and (max-width: 768px) {
 
}


/*----- ending of blog page styling -----*/